## vimperator 1.1

=== Makefile ===
#### configuration

VERSION       = 1.1
NAME          = vimperator

include Makefile.common

## vimperator 1.2

=== Makefile ===
#### configuration

VERSION       = 1.2
NAME          = vimperator

include Makefile.common

## vimperator 3.3

=== debian/changelog ===
vimperator (3.3-1) unstable; urgency=low

  * New upstream release
    - Firefox 8 and 9 compatibility fixes
    - Single line message output with :echo are shown again

  * Remove debian patch (no longer needed)
  * Delete iceweasel-vimperator.docs to remove unnecessary files
  * Add an override to dh_installchangelogs to pick up the upstream one

 -- Francois Marier <francois@debian.org>  Tue, 15 Nov 2011 12:36:54 +1300

vimperator (3.2-4) unstable; urgency=medium

  * Bump maxVersion to 8.0 (closes: #644711)

 -- Francois Marier <francois@debian.org>  Fri, 11 Nov 2011 11:26:57 +1300

vimperator (3.2-3) unstable; urgency=medium

  * Bump maxVersion to 7.0.1 (closes: #644711)

 -- Francois Marier <francois@debian.org>  Tue, 18 Oct 2011 09:44:39 +1300

vimperator (3.2-2) unstable; urgency=low

  * Switch to using mozilla-devscripts for packaging (closes: #638490)

 -- Francois Marier <francois@debian.org>  Sun, 11 Sep 2011 21:53:44 +1200

vimperator (3.2-1) unstable; urgency=low

  * New upstream release:
    - compatible with Iceweasel >= 4 (closes: #634159)
    - no longer compatible with Iceweasel 3.x

  * Add versioned dependency on iceweasel >= 4
  * Add a debian/README.source describing upstream source repackaging
  * Update watch file for new releases
  * Add empty targets for build-arch and build-indep (lintian warning)
  * Bump Standards-Version to 3.9.2

 -- Francois Marier <francois@debian.org>  Wed, 20 Jul 2011 13:02:59 -0700

vimperator (2.3.1-1) unstable; urgency=low

  * New upstream release
    (closes: #617789, #600278, #560138, #603258, #534477)
  * Adopting this package with Pierre's permission.
  * Move git repo to collab-maint on git.debian.org

  * Remove versioned dependency on iceweasel
  * Use the right upstream license in debian/copyright
  * Update homepage and download URL
  * Install the upstream changelog

  * Add ${misc:depends} dependency (lintian warning)
  * Remove period in short description (lintian warning)
  * Use 3.0 (quilt) source format
  * Bump Standards-Version up to 3.9.1
  * Bump debhelper compatibility to 8

 -- Francois Marier <francois@debian.org>  Sun, 13 Mar 2011 12:00:03 +1300

vimperator (2.1-1) unstable; urgency=low

  * New upstream release.

 -- Pierre Habouzit <madcoder@debian.org>  Sat, 30 May 2009 11:25:43 +0200

vimperator (2.0-1) unstable; urgency=low

  * New upstream release.

 -- Pierre Habouzit <madcoder@debian.org>  Mon, 13 Apr 2009 14:47:16 +0200

vimperator (1.0-1) experimental; urgency=low

  * Initial Package, thanks to Mike Hommey for his invaluable help.

 -- Pierre Habouzit <madcoder@debian.org>  Mon, 19 May 2008 22:00:51 +0200

=== debian/control ===
Source: vimperator
Section: web
Priority: optional
Maintainer: Francois Marier <francois@debian.org>
Build-Depends: debhelper (>= 8), mozilla-devscripts (>= 0.22~)
Standards-Version: 3.9.2
Vcs-Git: git://git.debian.org/git/collab-maint/vimperator.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/vimperator.git;a=summary
Homepage: http://vimperator.org/vimperator

Package: iceweasel-vimperator
Architecture: all
Depends: ${misc:Depends}, iceweasel (>= 4)
Description: Iceweasel extension to make it have vim look and feel
 Vimperator is an iceweasel add-on, which makes it look and behave like the
 Vim text editor. It has similar key bindings, and you could call it a modal
 web browser, as key bindings differ according to which mode you are in.

=== debian/watch ===
version=3
http://googlecode.debian.net/p/vimperator-labs/vimperator[_\-](\d+\.\d+.*)\.xpi

## vimperator 3.8.2

=== debian/changelog ===
vimperator (3.8.2-2) unstable; urgency=medium

  * Bump Standards-Version up to 3.9.6
  * Fix the order of blurbs in debian/copyright

 -- Francois Marier <francois@debian.org>  Fri, 19 Sep 2014 00:39:53 +1200

vimperator (3.8.2-1) unstable; urgency=medium

  * New upstream release:
    - fix search in Firefox 27
    - fix downloads for new Firefox versions
  * Make the copyright file compliant with the latest spec

 -- Francois Marier <francois@debian.org>  Thu, 20 Feb 2014 19:18:19 +1300

vimperator (3.8.1-1) unstable; urgency=low

  * New upstream release:
    - fix arrow keys in menu
  * Bump Standards-Version up to 3.9.5

 -- Francois Marier <francois@debian.org>  Mon, 25 Nov 2013 12:39:14 +1300

vimperator (3.8-1) unstable; urgency=low

  * New upstream release:
    - Firefox 25 fixes

 -- Francois Marier <francois@debian.org>  Sun, 20 Oct 2013 10:16:01 +1300

vimperator (3.7.1-1) unstable; urgency=low

  * New upstream release:
    - Firefox 21 compatibility fixes
  * Use canonical VCS URLs in debian/control

 -- Francois Marier <francois@debian.org>  Sun, 09 Jun 2013 19:00:43 +1200

vimperator (3.7-2) unstable; urgency=low

  * Upload to unstable
  * Bump Standards-Version up to 3.9.4

 -- Francois Marier <francois@debian.org>  Sun, 19 May 2013 18:10:58 +1200

vimperator (3.7-1) experimental; urgency=low

  * New upstream release (closes: #704626)

 -- Francois Marier <francois@debian.org>  Fri, 12 Apr 2013 20:25:57 +1200

vimperator (3.5-1) experimental; urgency=low

  * New upstream release (closes: #689804)
  * Fix watch file to point to addons.mozilla.org directly

 -- Francois Marier <francois@debian.org>  Mon, 22 Oct 2012 09:54:24 +1300

vimperator (3.3-2) unstable; urgency=low

  * Bump debhelper compatibility to 9
  * Bump Standards-Version up to 3.9.3

 -- Francois Marier <francois@debian.org>  Mon, 28 May 2012 22:52:13 +1200

=== debian/control ===
--- 
+++ 
@@ -2,10 +2,10 @@
 Section: web
 Priority: optional
 Maintainer: Francois Marier <francois@debian.org>
-Build-Depends: debhelper (>= 8), mozilla-devscripts (>= 0.22~)
-Standards-Version: 3.9.2
-Vcs-Git: git://git.debian.org/git/collab-maint/vimperator.git
-Vcs-Browser: http://git.debian.org/?p=collab-maint/vimperator.git;a=summary
+Build-Depends: debhelper (>= 9), mozilla-devscripts (>= 0.22~)
+Standards-Version: 3.9.6
+Vcs-Git: git://anonscm.debian.org/collab-maint/vimperator.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/vimperator.git;a=summary
 Homepage: http://vimperator.org/vimperator
 
 Package: iceweasel-vimperator

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with xul-ext --buildsystem=xul_ext

override_dh_auto_install:
	dh_auto_install
	rm $(CURDIR)/debian/iceweasel-vimperator/usr/share/xul-ext/iceweasel-vimperator/License.txt

override_dh_installchangelogs:
	dh_installchangelogs NEWS

=== debian/watch ===
version=3
https://addons.mozilla.org/en-US/firefox/addon/vimperator/versions/ /en-US/firefox/addon/vimperator/versions/(.*)

## vimperator 3.10.1

=== debian/changelog ===
vimperator (3.10.1-1) unstable; urgency=medium

  * New upstream release
  * Run wrap-and-sort

 -- Francois Marier <francois@debian.org>  Fri, 28 Aug 2015 22:08:07 -0700

vimperator (3.9-1) unstable; urgency=medium

  * New upstream release (closes: #775335)

 -- Francois Marier <francois@debian.org>  Sat, 25 Apr 2015 21:41:25 +1200

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
 
 Package: iceweasel-vimperator
 Architecture: all
-Depends: ${misc:Depends}, iceweasel (>= 4)
+Depends: iceweasel (>= 4), ${misc:Depends}
 Description: Iceweasel extension to make it have vim look and feel
  Vimperator is an iceweasel add-on, which makes it look and behave like the
  Vim text editor. It has similar key bindings, and you could call it a modal
